# Uses of Class
org.eclipse.osgi.service.resolver.StateWire

Packages that use StateWire
Package
Description
org.eclipse.osgi.service.resolver
Provides the Equinox resolver API.

## Uses of StateWire in org.eclipse.osgi.service.resolver

Method parameters in org.eclipse.osgi.service.resolver with type arguments of type StateWire
Modifier and Type
Method
Description
`void`
State.`resolveBundle(BundleDescription bundle, boolean status, BundleDescription[] hosts, ExportPackageDescription[] selectedExports, ExportPackageDescription[] substitutedExports, GenericDescription[] selectedCapabilities, BundleDescription[] resolvedRequires, ExportPackageDescription[] resolvedImports, GenericDescription[] resolvedCapabilities, Map<String, List<StateWire>> resolvedWires)`
Sets whether or not the given bundle is selected in this state.